Bug 76120 - Bogus check-files failure for %dev(type, major, minor) files.
Bogus check-files failure for %dev(type, major, minor) files.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 00:08 EDT by Sam Varshavchik
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-10-17 00:08:04 EDT
Description of Problem:

The default rpm-4.1-1.06 configuration fails to build the following test spec file.

A manual setting  "%define _unpackaged_files_terminate_build 0" will result in
the device file being correctly packaged.


Version-Release number of selected component (if applicable):

4.1-1.06

How Reproducible:

Always


Steps to Reproduce:
1. Default rpm 4.1-1.06 configuration (redhat-rpm-config NOT installed)
2. rpmbuild -ba foo.spec

Actual Results:

error: Installed (but unpackaged) file(s) found:
   /dev/null

Expected Results:

Wrote: /home/mrsam/src/rpm/SRPMS/foo-1.0-1.src.rpm
Wrote: /home/mrsam/src/rpm/RPMS/i386/foo-1.0-1.i386.rpm

$ rpm -q -l -p /home/mrsam/src/rpm/RPMS/i386/foo-1.0-1.i386.rpm
/dev/null

Additional Information:
	
Summary: foo demo
Name: foo
Version: 1.0
Release: 1
License: GPL
Group: Application/Development
BuildRoot: %{_tmppath}/%{name}-root

%description
Foo demo

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
touch $RPM_BUILD_ROOT/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(666, root, root) %verify(mode) %dev(c, 1, 3) /dev/null

%changelog
* Thu Oct 17 2002 Mr. Sam <sam@email-scan.com>
- Initial build.
Comment 1 Jeff Johnson 2002-10-17 13:16:55 EDT
Add to the dev spec file
	%define _unpackaged_files_terminate_build      0
or (equivalently) install the redhat-rpm-config package.
Comment 2 Bill Nottingham 2006-08-07 14:53:06 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:16:23 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.